Subject: Re: [PATCH net-next v2] net/sched: actions report errors with extack

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Feb 2024 18:31:33 -0800

On Fri, 9 Feb 2024 15:58:30 -0800 Stephen Hemminger wrote:
> > I mean that NL_REQ_ATTR_CHECK() should be more than enough by itself.
> > We have full TC specs in YAML now, we can hack up a script to generate
> > reverse parsing tables for iproute2 even if you don't want to go full
> > YNL.  
> 
> Ok, then will take the err msg across all places using NL_REQ_ATTR_CHECK?

Take _out_ ? That'd be great, yup.

> Would prefer not to add the complexity of reverse parsing tables, that gets ugly fast.

"reverse" is probably to strong. It's just a parse which parses 
the request instead of the response. ethtool CLI does it, too.